package org.apache.commons.lang3.time;

package .tmp;

import java.util.Arrays;
import org.apache.commons.lang3.time.FormatCache;

final class ArrayKey {
  private final Object[] keys;
  
  private final int hashCode;
  
  private static int computeHashCode(Object[] keys) {
    int prime = 31;
    int result = 1;
    result = 31 * result + Arrays.hashCode(keys);
    return result;
  }
  
  ArrayKey(Object... keys) {
    this.keys = keys;
    this.hashCode = computeHashCode(keys);
  }
  
  public int hashCode() {
    return this.hashCode;
  }
  
  public boolean equals(Object obj) {
    if (this == obj)
      return true; 
    if (obj == null)
      return false; 
    if (getClass() != obj.getClass())
      return false; 
    ArrayKey other = (ArrayKey)obj;
    return Arrays.deepEquals(this.keys, other.keys);
  }
}
